Creates one completion eligibility rule owned by an Outcome.
POST
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Code\": \"example\", \"Expression\": \"example\", \"DefaultMessage\": \"example\", \"MessageTranslations\": { \"additionalProperty\": \"example\" }, \"Enabled\": true, \"SortOrder\": 1, \"ExpectedDefinitionRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"ExpectedOutcomeRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Code":"example","Expression":"example","DefaultMessage":"example","MessageTranslations":{"additionalProperty":"example"},"Enabled":true,"SortOrder":1,"ExpectedDefinitionRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ExpectedOutcomeRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Code": "example", "Expression": "example", "DefaultMessage": "example", "MessageTranslations": { "additionalProperty": "example" }, "Enabled": true, "SortOrder": 1, "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskDefinitionId
required
string
outcomeId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Code
string
Expression
string
DefaultMessage
string
MessageTranslations
object
key
additional properties
string
Enabled
boolean
SortOrder
integer format: int32
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "Code": "example", "Expression": "example", "DefaultMessage": "example", "MessageTranslations": { "additionalProperty": "example" }, "Enabled": true, "SortOrder": 1, "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}object
Code
string
Expression
string
DefaultMessage
string
MessageTranslations
object
key
additional properties
string
Enabled
boolean
SortOrder
integer format: int32
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "Code": "example", "Expression": "example", "DefaultMessage": "example", "MessageTranslations": { "additionalProperty": "example" }, "Enabled": true, "SortOrder": 1, "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}object
Code
string
Expression
string
DefaultMessage
string
MessageTranslations
object
key
additional properties
string
Enabled
boolean
SortOrder
integer format: int32
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "Code": "example", "Expression": "example", "DefaultMessage": "example", "MessageTranslations": { "additionalProperty": "example" }, "Enabled": true, "SortOrder": 1, "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
TaskDefinitionId
string
OutcomeId
string
TaskDefinitionRowVersion
string format: uuid
OutcomeRowVersion
string format: uuid
Rule
object
RuleId
string
OutcomeId
string
Code
string
Expression
string
NormalizedExpression
string
DefaultMessage
string
MessageTranslations
object
key
additional properties
string
Enabled
boolean
SortOrder
integer format: int32
EngineVersion
string
ProfileVersion
integer format: int32
SchemaFingerprint
string
ProfileFingerprint
string
ExpressionFingerprint
string
ArtifactFingerprint
string
Diagnostics
Array<object>
object
Code
string
Message
string
Severity
string
Start
integer format: int32
Length
integer format: int32
DependencyId
string
Dependencies
Array<object>
object
Kind
integer format: int32
DependencyId
string
Path
string
CollectionScope
string
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
RowVersion
string format: uuid
Actions
object
CanUpdate
boolean
CanDelete
boolean
CanRead
boolean
Replayed
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Rule": { "Dependencies": [ { "Kind": 0 } ] } }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}